FastAPIServer.FastAPIServer Class Reference

## Public Member Functions

def | __init__ (self, config)
def | compile_static_files (self)
None | use_route_names_as_operation_ids (self, FastAPI app)
def | index (Request request, int skip=0, int limit=10)
def | books (Request request, int skip=0, int limit=10, collection=None)
def | book (Request request, int book_id)
def | collections (Request request)
def | run (self)

## Public Attributes

| config
| fe_config
| fe_server

## Detailed Description

    Entry point for FastAPI server.

## Constructor & Destructor Documentation

## __init__()

def FastAPIServer.FastAPIServer.__init__ | ( |  | self,
|  |  | config
| ) |  |

    Initialize FastAPIServer object parameters.

## Member Function Documentation

## book()

def FastAPIServer.FastAPIServer.book | ( | Request | request,
|  | int | book_id
| ) |  |

## books()

def FastAPIServer.FastAPIServer.books | ( | Request | request,
|  | int | skip = `0`,
|  | int | limit = `10`,
|  |  | collection = `None`
| ) |  |

## collections()

def FastAPIServer.FastAPIServer.collections | ( | Request | request | ) |

## compile_static_files()

def FastAPIServer.FastAPIServer.compile_static_files | ( |  | self | ) |

    Compile static files for web frontend.

## index()

def FastAPIServer.FastAPIServer.index | ( | Request | request,
|  | int | skip = `0`,
|  | int | limit = `10`
| ) |  |

## run()

def FastAPIServer.FastAPIServer.run | ( |  | self | ) |

    Front end server entrypoint.

## use_route_names_as_operation_ids()

None FastAPIServer.FastAPIServer.use_route_names_as_operation_ids | ( |  | self,
|  | FastAPI | app
| ) |  |

    Use route name as operation id.

## Member Data Documentation

## config

FastAPIServer.FastAPIServer.config

## fe_config

FastAPIServer.FastAPIServer.fe_config

## fe_server

FastAPIServer.FastAPIServer.fe_server

The documentation for this class was generated from the following file:

- src/frontend/lib/FastAPIServer.py